Subject: bug#10914: Segfault when creating vector >= 2^16

From: Tobias Brandt <[email-masked]>
Date: Fri, 2 Mar 2012 00:45:02 +0100

My libgc was indeed faulty. It failed one test related to threads.
I recompiled guile against a working libgc, but the error still
happens. Here is a backtrace from gdb:

#0  0x00007ffff7b383d7 in scm_c_make_vector () from /usr/lib/libguile-2.2.so.22
#1  0x00007ffff7b412a4 in ?? () from /usr/lib/libguile-2.2.so.22
#2  0x00007ffff7ac4953 in scm_primitive_eval () from /usr/lib/libguile-2.2.so.22
#3  0x00007ffff7ac49b3 in scm_eval () from /usr/lib/libguile-2.2.so.22
#4  0x00007ffff7b11d3f in scm_shell () from /usr/lib/libguile-2.2.so.22
#5  0x00007ffff7ae112d in ?? () from /usr/lib/libguile-2.2.so.22
#6  0x00007ffff7abf20a in ?? () from /usr/lib/libguile-2.2.so.22
#7  0x00007ffff7b4af7f in ?? () from /usr/lib/libguile-2.2.so.22
#8  0x00007ffff7ac43b3 in scm_call_4 () from /usr/lib/libguile-2.2.so.22
#9  0x00007ffff7abf9c3 in ?? () from /usr/lib/libguile-2.2.so.22
#10 0x00007ffff7abfa75 in scm_c_with_continuation_barrier ()
   from /usr/lib/libguile-2.2.so.22
#11 0x00007ffff7b33b5a in ?? () from /usr/lib/libguile-2.2.so.22
#12 0x00007ffff7258aa5 in GC_call_with_stack_base () from /usr/lib/libgc.so.1
#13 0x00007ffff7b33d08 in scm_with_guile () from /usr/lib/libguile-2.2.so.22
#14 0x00007ffff7ae1235 in scm_boot_guile () from /usr/lib/libguile-2.2.so.22
#15 0x0000000000400a3a in ?? ()
#16 0x00007ffff74cc30d in __libc_start_main () from
/lib/x86_64-linux-gnu/libc.so.6
#17 0x0000000000400a89 in ?? ()
#18 0x00007fffffffe098 in ?? ()
#19 0x000000000000001c in ?? ()
#20 0x0000000000000001 in ?? ()
#21 0x00007fffffffe3a1 in ?? ()
#22 0x0000000000000000 in ?? ()